busvoodoo_mode_t Struct Reference

BusVoodoo mode interface. More...

## Data Fields

const char * | name
| name of the mode (i.e. More...
const char * | description
| human readable description of the mode (i.e. More...
const bool | full_only
| if this mode is available only for BusVoodoo full flavor
bool(* | setup )(char **prefix, const char *line)
| function to setup mode (menu prefix can be used to ask parameter, and line will be the user provided response)
const struct menu_command_t * | commands
| list of menu commands provided by mode
const uint8_t | commands_nb
| number of menu commands provided by mode
void(* | exit )(void)
| function to exit from mode (i.e. More...

## Detailed Description

BusVoodoo mode interface.

Definition at line 115 of file busvoodoo_global.h.

## Field Documentation

## description

const char* busvoodoo_mode_t::description

human readable description of the mode (i.e.

full protocol name)

Definition at line 117 of file busvoodoo_global.h.

## exit

void(* busvoodoo_mode_t::exit) (void)

function to exit from mode (i.e.

releasing the peripheral)

Definition at line 122 of file busvoodoo_global.h.

## name

const char* busvoodoo_mode_t::name

name of the mode (i.e.

protocol shortcut for the menu)

Definition at line 116 of file busvoodoo_global.h.

The documentation for this struct was generated from the following file:

- lib/busvoodoo_global.h